## srtp 1.4.4+20100615~dfsg

=== debian/changelog ===
srtp (1.4.4+20100615~dfsg-2+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload.
  * Add CVE-2015-6360.patch.
    Prevent potential DoS attack due to lack of bounds checking on RTP header
    CSRC count and extension header length. (Closes: #807698)

 -- Markus Koschany <apo@debian.org>  Fri, 01 Apr 2016 19:07:24 +0200

srtp (1.4.4+20100615~dfsg-2+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add 1009_CVE-2013-2139.patch patch.
    CVE-2013-2139: buffer overflow in application of crypto profiles.
    (Closes: #711163)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 02 Jan 2014 16:38:07 +0100

srtp (1.4.4+20100615~dfsg-2) unstable; urgency=low

  * Fix avoid installing example binary env: Hardly usable beyond tests,
    and cause FTPBS when build tests disabled (i.e. when
    DEB_BUILD_OPTIONS contains nocheck).
    Closes: bug#696019. Thanks to Thorsten Glaser.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Dec 2012 22:02:05 +0100

srtp (1.4.4+20100615~dfsg-1) unstable; urgency=low

  * Snapshot of newer upstream CVS code.
  * Add notes on stripped sources to copyright file.
  * Update patches:
    + Drop patches 1001, 1002, 1006, 1009: Obsolete.
    + Adjust patch 1005 to align by 4 (not 32 - the alignment is
      suspected to be bytes not bits).
    + Simplify patch 1007 to invoke 'doxygen -u' (not patch Doxyfile),
      and extend it to modernize header template.
    + Unfuzz patches.
  * Modernize Doxygen header template.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2011 00:39:59 +0200
