=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  dh-buildinfo,
  devscripts (>= 2.10.7~),
  cdbs (>= 0.4.70~),
+ procps,
+ psmisc,
+ miscfiles,
+ hardening-includes,
  doxygen-latex | doxygen,
  doxygen-latex | texlive-latex-recommended,
  texlive-fonts-recommended,
- procps,
- psmisc,
- miscfiles,
- d-shlibs,
- hardening-includes
+ d-shlibs
 Standards-Version: 3.9.2
 Section: libs
 Vcs-Git: git://git.debian.org/git/collab-maint/srtp.git
