=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: srtp
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: autotools-dev,
- debhelper (>= 6),
+Build-Depends: cdbs,
+ autotools-dev,
+ debhelper,
  dh-buildinfo,
- devscripts (>= 2.10.7~),
- cdbs (>= 0.4.70~),
+ devscripts,
  procps,
  psmisc,
  miscfiles,
@@ -14,11 +14,11 @@
  doxygen-latex | texlive-latex-recommended,
  texlive-fonts-recommended,
  d-shlibs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: libs
-Vcs-Git: git://git.debian.org/git/collab-maint/srtp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/srtp.git;a=summary
-Homepage: http://srtp.sourceforge.net/srtp.html
+Vcs-Git: git://anonscm.debian.org/git/collab-maint/srtp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/srtp.git
+Homepage: https://github.com/cisco/libsrtp
 
 Package: libsrtp0-dev
 Section: libdevel
