=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2007-2008,2010 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2007, 2008, 2010, 2011, 2013 Jonas Smedegaard
+# <dr@jones.dk>
 # Description: Main Debian packaging script for libSRTP
 #
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2, or (at
-# your option) any later version.
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
 #
 # This program is distributed in the hope that it will be useful, but
 # WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -23,22 +24,26 @@
 include /usr/share/hardening-includes/hardening.make
 
 # Update this checksum when new releases occur, to catch silent server side file content forges
-DEB_UPSTREAM_TARBALL_MD5 = 9b449edb011c934ca97009e7e0566d22
+DEB_UPSTREAM_TARBALL_MD5 = f706820bb54a4ff805c3f04f31a13082
 
-DEB_UPSTREAM_URL = http://switch.dl.sourceforge.net/sourceforge/srtp
-DEB_UPSTREAM_TARBALL_EXTENSION = tgz
-DEB_UPSTREAM_TARBALL_SRCDIR = $(DEB_UPSTREAM_PACKAGE)
+DEB_UPSTREAM_URL = https://github.com/cisco/libsrtp/archive
+#DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_BASENAME = 7713d5706524f9f1ee94fd6b55125357e63656d5
+DEB_UPSTREAM_REPACKAGE_EXCLUDES = ./CVS .cvsignore ./doc/rfc*.txt ./doc/draft*.txt ./doc/*.pdf ./releases/
+DEB_UPSTREAM_TARBALL_SRCDIR = libsrtp-7713d5706524f9f1ee94fd6b55125357e63656d5
 
-DEB_UPSTREAM_REPACKAGE_EXCLUDES = ./CVS .cvsignore ./doc/rfc*.txt ./doc/draft*.txt ./doc/*.pdf
-
-# Needed by upstream build tests
-CDBS_BUILD_DEPENDS += , procps, psmisc, miscfiles
+# Needed by upstream testsuite
+CDBS_BUILD_DEPENDS +=, procps, psmisc, miscfiles
 
 DEB_CONFIGURE_EXTRA_FLAGS = --disable-stdout --enable-syslog
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-debug
 else
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-debug
+endif
+
+ifeq ($(DEB_HOST_ARCH_CPU),sparc)
+CFLAGS += -DFORCE_64BIT_ALIGN
 endif
 
 CFLAGS += -D_REENTRANT
@@ -72,7 +77,9 @@
 	rm -f debian/stamp-upstreamtmpstuff
 
 # generate (and cleanup) documentation
-CDBS_BUILD_DEPENDS += , doxygen-latex | doxygen, doxygen-latex | texlive-latex-recommended, texlive-fonts-recommended
+CDBS_BUILD_DEPENDS +=, doxygen-latex | doxygen
+CDBS_BUILD_DEPENDS +=, doxygen-latex | texlive-latex-recommended
+CDBS_BUILD_DEPENDS +=, texlive-fonts-recommended
 DEB_INSTALL_DOCS_srtp-docs += doc/*.txt doc/*.pdf
 DEB_COMPRESS_EXCLUDE += .pdf
 build/srtp-docs::
@@ -88,7 +95,7 @@
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
-CDBS_BUILD_DEPENDS += , d-shlibs
+CDBS_BUILD_DEPENDS +=, d-shlibs
 binary-post-install/libsrtp0::
 	d-shlibmove --commit \
 		--movedev "debian/tmp/usr/include/srtp/*" usr/include/srtp/ \
