=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg.*// \
https://github.com/cisco/libsrtp/tags .*/archive/v?(\d[\d\.]+).tar.gz
